#ifndef  __GEO_DISTANCE                       /* Avoid multiple includes */
#define  __GEO_DISTANCE

#include "scia_common.h"

#define MAX_POLY 10

/* Calculates the distance between two geographical points in  --rad-- */
/*  (multiply with earth radius to get real distance */

double circle_distance ( Coord_deg p0, Coord_deg p1 );
int check_inside (Coord_deg point, Coord_deg* area, int n_coords);
int point_in_gp (Coord_deg *corners, Coord_deg point);

#endif /* __GEO_DISTANCE */
